summaryrefslogtreecommitdiff
path: root/tools/upgrade.sh
diff options
context:
space:
mode:
authorTuowen Zhao <ztuowen@gmail.com>2020-09-11 12:27:24 -0600
committerTuowen Zhao <ztuowen@gmail.com>2020-09-11 12:27:24 -0600
commit44cc53902935c693239611b06de02fc37ac4da62 (patch)
tree278cbbf8071e33776a3dfbfe484084136e6f791d /tools/upgrade.sh
parent8620d4004c3391fa4f624ebf500eef8bcf32a52e (diff)
parent3667f94538c24ebaa9abd46e797a2610f3b67c5e (diff)
downloadzsh-44cc53902935c693239611b06de02fc37ac4da62.tar.gz
zsh-44cc53902935c693239611b06de02fc37ac4da62.tar.bz2
zsh-44cc53902935c693239611b06de02fc37ac4da62.zip
Merge remote-tracking branch 'origin/master' into master
Diffstat (limited to 'tools/upgrade.sh')
-rw-r--r--tools/upgrade.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tools/upgrade.sh b/tools/upgrade.sh
index a71dec88b..e005519d6 100644
--- a/tools/upgrade.sh
+++ b/tools/upgrade.sh
@@ -68,6 +68,7 @@ then
printf "${BLUE}${BOLD}%s ${UNDER}%s${RESET}\n" "Want to get involved in the community? Join our Discord:" "https://discord.gg/ohmyzsh"
printf "${BLUE}${BOLD}%s ${UNDER}%s${RESET}\n" "Get your Oh My Zsh swag at:" "https://shop.planetargon.com/collections/oh-my-zsh"
else
+ status=$?
printf "${RED}%s${RESET}\n" 'There was an error updating. Try again later?'
fi
@@ -76,3 +77,6 @@ case "$resetAutoStash" in
"") git config --unset rebase.autoStash ;;
*) git config rebase.autoStash "$resetAutoStash" ;;
esac
+
+# Exit with `1` if the update failed
+exit $status